/*メインクラスに対する指定*/
.movie-link-page{
    text-align: center;

    word-break: keep-all;

}

.wrapper{
    max-width: 1120px;
    margin: auto;
    padding: 0 1.5rem;
}

/*見出し*/
h1 .heading{
    background: #0bd;
    color: #fff;
    display: inline-block;

    padding: 6rem 3rem;
    border-radius: 50%;

    word-break: keep-all;
}

.choose-area{
    border-style: solid;
    border-color: black;

    background-color:white;

    justify-content: center;
    align-items: center;

    padding: 10px;
}

/*年の選択*/
     .container-choose-year
        {
            background-color:  ivory;
            border-style:solid;

            display: grid;
            grid-template-columns:
            repeat(3,1fr);

            align-items: center;
            justify-content: center;

            margin: 10px;
        }


.item-area-hryokunmovie2026,.item-area-hryokunmovie2025,
.item-area-hryokunmovie2024,.item-area-hryokunmovie2023,
.item-area-hryokunmovie2022,.item-area-hryokunmovie2021,
.item-area-hryokunmovie2019,.item-area-hryokunmovie2018,
.item-area-hryokunmovie2016{
    border-style: solid;
    border-color: gray;

    justify-content: center;
    align-items: center;

    margin: 5px;
    padding: 5px;
}
.item-area-cryokunmovie2026 a,.item-area-cryokunmovie2025 a,
.item-area-cryokunmovie2024 a,.item-area-cryokunmovie2023 a,
.item-area-cryokunmovie2022 a,.item-area-cryokunmovie2021 a,
.item-area-cryokunmovie2019 a,.item-area-cryokunmovie2018 a,
.item-area-cryokunmovie2016 a{
    color: white;
}







/*日付の選択*/
.container-choose-month {
    background-color:  ivory;
    border-style:solid;

    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 10px;

    margin: 10px;

    align-items: center;
    justify-content: center;
}

.container-choose-month-2grid {
    background-color:  ivory;
    border-style:solid;

    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 10px;

    margin: 10px;

    align-items: center;
    justify-content: center;
}

.container-choose-month-nogrid{

    background-color:  ivory;
    border-style:solid;

    gap: 10px;

    margin: 10px;


    align-items: center;
    justify-content: center;
}
    





.item-area-cryokunmovie2026,.item-area-cryokunmovie2025,
.item-area-cryokunmovie2024,.item-area-cryokunmovie2023,
.item-area-cryokunmovie2022,.item-area-cryokunmovie2021,
.item-area-cryokunmovie2019,.item-area-cryokunmovie2018,
.item-area-cryokunmovie2016{

    border-width: thick;
    border-style:solid;
    border-color: gray;
    
    align-content: center;
    justify-content: center;


    margin: 10px;
    padding: 10px;

}

.item-area-hryokunmovie2026 a,.item-area-hryokunmovie2025 a,
.item-area-hryokunmovie2024 a,.item-area-hryokunmovie2023 a,
.item-area-hryokunmovie2022 a,.item-area-hryokunmovie2021 a,
.item-area-hryokunmovie2019 a,.item-area-hryokunmovie2018 a,
.item-area-hryokunmovie2016 a{
    color: white;
}





/*背景色*/
.item-area-hryokunmovie2026,#movie2026,.item-area-cryokunmovie2026{
    background: purple;
    color: #fff
}

.item-area-hryokunmovie2025,#movie2025,.item-area-cryokunmovie2025{
    background: black;
    color: #fff;
}

.item-area-hryokunmovie2024,#movie2024,.item-area-cryokunmovie2024{
    background: yellowgreen;
    color: #fff;
}

.item-area-hryokunmovie2023,#movie2023,.item-area-cryokunmovie2023{
    background: blue;
    color: #fff;
}

.item-area-hryokunmovie2022,#movie2022,.item-area-cryokunmovie2022{
    background: green;
    color: #fff;
}

.item-area-hryokunmovie2021,#movie2021,.item-area-cryokunmovie2021{
    background: orange;
    color: #fff;
}

.item-area-hryokunmovie2019,#movie2019,.item-area-cryokunmovie2019{
    background: brown;
    color: #fff;
}

.item-area-hryokunmovie2018,#movie2018,.item-area-cryokunmovie2018{
    background: navy;
    color: #fff;
}

.item-area-hryokunmovie2016,#movie2016,.item-area-cryokunmovie2016{
    background: skyblue;
    color: #fff;
}


/*デスクトップ版*/

@media(min-width:600px){
    .container-choose-year,.container-choose-month
     {
    background-color:  ivory;
    border-style:solid;

    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 10px;

    align-items: center;
    justify-content: center;

    margin: 10px;
}}

@media(min-width:600px){
    .container-choose-month-3grid
     {
    background-color:  ivory;
    border-style:solid;

    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 10px;

    align-items: center;
    justify-content: center;

    margin: 10px;
}}

@media(min-width:600px){
    .container-choose-month-2grid
     {
    background-color:  ivory;
    border-style:solid;

    display:flex;

    align-items: center;
    justify-content: center;

    margin: 10px;
}}


@media(min-width:600px){
    .container-choose-month-nogrid
     {
    background-color:  ivory;
    border-style:solid;

    display: flex;
    gap: 10px;


    align-items: center;
    justify-content: center;

    margin: 10px;
}}


/*動画エリア*/

.grid{

    display: block;

    }

    @media(min-width:600px){
        
     .grid
        {

                display: grid;
                gap:1.5rem 1.5rem;
            grid-template-columns:
         
            repeat(2,1fr);

            text-align: center;
        }
    }
    

.item-area-ryokunmovie{
    border-width: medium;
    border-style: solid;
    border-color: black;

    margin: 10px;
    padding: 10px;

    word-break: keep-all;
}



.youtube-rate iframe{

aspect-ratio: 16/9;    
}


.youtube-rate iframe{
  
    width: 100%;
    height: auto;
  
}


.item-area-ryokunmovie p{
    font-size: .875rem;
}



/*矢印*/
.movie-arrow{
    display: flex;
    justify-content: center;
}
.movie-arrow-item{
    background: navy;
    margin: 10px;
    font-size: large;
}

.movie-arrow-item a{
    color: white;
}

